System.Web 2.0.0.0 System.Web.UI.WebControls.WebControl System.Web.UI.INamingContainer System.Web.UI.WebControls.ICompositeControlDesignerAccessor System.ComponentModel.Designer("System.Web.UI.Design.WebControls.CompositeControlDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner")

The class is an abstract class that provides naming container and control designer functionality for custom controls that encompass child controls in their entirety or use the functionality of other controls. This class is inherited by controls such as , and . You cannot use this class directly.

The class implements the interface. This is required to ensure that all child control ID attributes are unique, and can be located on post back for data binding.

To create a custom composite control, derive from the class. The functionality this class provides is built-in verification that child controls have been created prior to being accessed and it enables the design-time environment to recreate the collection of child controls. The property ensures that all child controls have been created prior to accessing the . The method verifies that all child controls have been created prior to binding them to a data source.

Control developers can use the class to create a custom designer for a composite control derived from . A control designer is a class that defines how a control is displayed and manipulated in design view. For more information, see .

Implements the basic functionality required by Web controls that contain child controls.

- Constructor

  The constructor is called by ASP.NET to create an instance of the . This constructor is not intended to be used from your code.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.Web.UI.ControlCollection To be added.

  The property overrides the base implementation to ensure that all child controls have been created prior to returning the object.

  The property allows you to programmatically access the for the . You can add controls to, or remove controls from the collection, and iterate through the controls in the collection.

  Gets a object that represents the child controls in a .

  2.0.0.0
- Method
  System.Void

  The method binds a data source to the control and all its child controls. This method overrides its base implementation to verify that all child controls have been created prior to binding them to a data source.

  Binds a data source to the and all its child controls.

  2.0.0.0
- Method
  System.Void

  The method is used primarily by control developers.

  Recreates the child controls in a control derived from .

  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  The method writes the rendered content of the control and its child controls to the client using the specified . This method overrides the base implementation to ensure that all child controls in the collection are created and then renders the control and its child controls using the base and methods.

  Writes the content to the specified object, for display on the client.

- Method
  2.0.0.0
  System.Void To be added.

  Enables a designer to recreate the composite control's collection of child controls in the design-time environment.